# Cinder

# cinder::cairo::Matrix Class Reference

`#include <Cairo.h>`

List of all members.

## Public Member Functions
| Matrix ()
| Matrix (double xx, double yx, double xy, double yy, double x0, double y0)
cairo_matrix_t & | getCairoMatrix ()
const cairo_matrix_t & | getCairoMatrix () const
void | init (double xx, double yx, double xy, double yy, double x0, double y0)
void | initIdentity ()
void | initTranslate (double tx, double ty)
void | initScale (double sx, double sy)
void | initRotate (double radians)
void | translate (double tx, double ty)
void | scale (double sx, double sy)
void | rotate (double radians)
int32_t | invert ()
Vec2f | transformPoint (const Vec2f &v) const
| Transforms the point v by the matrix.
Vec2f | transformDistance (const Vec2f &v) const
| Transforms the distance vector v by the matrix. This is similar to cairo_matrix_transform_point() except that the translation components of the transformation are ignored.
## Public Attributes
double | xx
double | yx
double | xy
double | yy
double | x0
double | y0

## Constructor & Destructor Documentation

cinder::cairo::Matrix::Matrix | ( |  | ) |

cinder::cairo::Matrix::Matrix | ( | double | xx,
|  | double | yx,
|  | double | xy,
|  | double | yy,
|  | double | x0,
|  | double | y0 |
| ) |  |  |

## Member Function Documentation

cairo_matrix_t& cinder::cairo::Matrix::getCairoMatrix | ( |  | ) |

const cairo_matrix_t& cinder::cairo::Matrix::getCairoMatrix | ( |  | ) | const

void cinder::cairo::Matrix::init | ( | double | xx,
|  | double | yx,
|  | double | xy,
|  | double | yy,
|  | double | x0,
|  | double | y0 |
| ) |  |  |

void cinder::cairo::Matrix::initIdentity | ( |  | ) |

void cinder::cairo::Matrix::initTranslate | ( | double | tx,
|  | double | ty |
| ) |  |  |

void cinder::cairo::Matrix::initScale | ( | double | sx,
|  | double | sy |
| ) |  |  |

void cinder::cairo::Matrix::initRotate | ( | double | radians | ) |

void cinder::cairo::Matrix::translate | ( | double | tx,
|  | double | ty |
| ) |  |  |

void cinder::cairo::Matrix::scale | ( | double | sx,
|  | double | sy |
| ) |  |  |

void cinder::cairo::Matrix::rotate | ( | double | radians | ) |

int32_t cinder::cairo::Matrix::invert | ( |  | ) |

Vec2f cinder::cairo::Matrix::transformPoint | ( | const Vec2f & | v | ) | const

Transforms the point v by the matrix.

Vec2f cinder::cairo::Matrix::transformDistance | ( | const Vec2f & | v | ) | const

Transforms the distance vector v by the matrix. This is similar to cairo_matrix_transform_point() except that the translation components of the transformation are ignored.

## Member Data Documentation

double cinder::cairo::Matrix::xx

double cinder::cairo::Matrix::yx

double cinder::cairo::Matrix::xy

double cinder::cairo::Matrix::yy

double cinder::cairo::Matrix::x0

double cinder::cairo::Matrix::y0

The documentation for this class was generated from the following files:

- include/cinder/cairo/Cairo.h
- src/cinder/cairo/Cairo.cpp